<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registration Page</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="styles.css">
</head>

<body>
    <div class="container">
        <div class="login-form">
            <h2>Registration</h2>
            <form id="registerForm">
                <div class="form-group text-left">
                    <label for="username">Username</label>
                    <input type="text" class="form-control" id="username" name="username" required>
                </div>
                <div class="form-group text-left">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" required>
                </div>
                <div class="form-group text-left">
                    <label for="confirmPassword">Confirm Password</label>
                    <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" required>
                </div>
                <button type="submit" class="btn btn-primary">Register</button>
            </form>
            <div class="text-center mt-3">
                Already have an account? <a href="login.html">Login</a>
            </div>
        </div>
    </div>



    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#registerForm').on('submit', function (event) {
                event.preventDefault();

                var username = $('#username').val();
                var password = $('#password').val();
                var confirmPassword = $('#confirmPassword').val();

                if (password !== confirmPassword) {
                    alert('Mật khẩu không giống nhau, xin hãy điền lại.');
                    return;
                }

                var userData = {
                    username: username,
                    password: password
                };

                $.ajax({
                    url: 'http://localhost:8080/register',
                    method: 'POST',
                    contentType: 'application/json',
                    data: JSON.stringify(userData),
                    success: function (response) {
                        console.log(response);
                        alert('Bạn đã đăng ký thành công');
                        // chuyển qua trang login
                        window.location.href = 'login.html';
                    },
                    error: function (xhr, status, error) {
                        console.error(error);
                        alert('Đăng ký tài khoản thất bại. Xin hãy thử lại');
                    }
                });
            });
        });

    </script>
</body>

</html>